package main

import (
	"fmt"
	"git.xdrm.io/go/nix-amer/internal/clifmt"
)

func help() {

	fmt.Printf("%s\n", clifmt.Color(1, "NAME", true))
	fmt.Printf("\tnix-amer - the automatic setup tool you need\n")

	fmt.Printf("\n%s\n", clifmt.Color(1, "SYNOPSIS", true))
	fmt.Printf("\tnix-amer [-p <package-manager>] [-s <service-manager>] [-dry-run] <buildfile>\n")
	fmt.Printf("\tnix-amer -help\n")
	fmt.Printf("\tnix-amer -h\n")
	fmt.Printf("\n")

	fmt.Printf("\n%s\n", clifmt.Color(1, "DESCRIPTION", true))
	fmt.Printf("\tnix-amer allows you to automate a complete linux setup. If you have a server\n")
	fmt.Printf("\tor a desktop it will ease your life ! It features package management (install,\n")
	fmt.Printf("\tdeletion, update), services and configuration through a simple interface.\n")
	fmt.Printf("\tIts best feature is the configuration understanding ; nix-amer can understand\n")
	fmt.Printf("\tseveral complex configuration formats and allow you to add or update fields\n")
	fmt.Printf("\tdirectly with a simple path format : config/file@parentField.childField. This\n")
	fmt.Printf("\tworks with 'json', 'xml', 'yaml', 'ini', 'toml', and the 'nginx' specific\n")
	fmt.Printf("\tformat too !!!! :O enjoy\n")

	fmt.Printf("\n%s\n", clifmt.Color(1, "OPTIONS", true))

	fmt.Printf("\t-p, -package\n\t    Define which package manager to use ; normally it is\n")
	fmt.Printf("\t    automatically guessed if you define the -distro. Available\n")
	fmt.Printf("\t    values are 'apt-get', 'eopkg', 'apk', 'yum', 'dnf' and 'pacman'.\n")
	fmt.Printf("\n")
	fmt.Printf("\t-s, -service\n\t    Define which service manager to use ; the default\n")
	fmt.Printf("\t    value is 'systemd'. initd is not yet supported.\n")
	fmt.Printf("\n")
	fmt.Printf("\t-dry-run\n\t    Do not execute, only check the buildfile and arguments.\n")
	fmt.Printf("\n")

	fmt.Printf("%s\n", clifmt.Color(1, "AUTHORS", true))
	fmt.Printf("\tnix-amer has been entirely designed and developed by xdrm-brackets\n")
	fmt.Printf("\t<xdrm.brackets.dev@gmail.com>. Feedback really is appreciated, feel\n")
	fmt.Printf("\tfree to mail me.\n")

}
