package bash

import (
	"fmt"
	"git.xdrm.io/go/nix-amer/internal/clifmt"
)

// ErrNullReceiver is raised when a null receiver is provided
var ErrNullReceiver = fmt.Errorf("receiver must not be null")

// ErrInvalidReceiver is raised when an invalid receiver is provided
var ErrInvalidReceiver = fmt.Errorf("receiver must be compatible with *File")

// LineError wraps errors with a line index
type LineError struct {
	Line int
	Err  error
}

// Error implements Error
func (le LineError) Error() string {
	return fmt.Sprintf(":%d %s", le.Line, clifmt.Color(31, le.Err.Error()))
}
