package ser

import (
	"git.xdrm.io/go/nix-amer/internal/exec"
)

// DefaultManager if not empty is the default service-manager to use when missing
var DefaultManager = "systemd"

// ServiceManager is the common interface for service managers (systemd, init.d)
type ServiceManager interface {
	// SetExecContext sets the execution context, default is os/exec
	SetExecutor(exec.Executor)
	// Name of executable (to check if installed and for debug)
	Name() string
	// Exec a specific action on a service
	Exec(action, service string) error
}
